## org.apache.poi.hslf.model
Class Background

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.Background

    public final class Background

extends Shape

Background shape

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.model.Shape
`_escherContainer, _fill, _parent, _sheet, EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, logger, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`protected` `Background(EscherContainerRecord escherRecord, Shape parent)`

Method Summary
`protected EscherContainerRecord` `createSpContainer(boolean isChild)` Creates the lowerlevel escher records for this shape.
`void` `draw(java.awt.Graphics2D graphics)`

Methods inherited from class org.apache.poi.hslf.model.Shape
`afterInsert, getAnchor, getAnchor2D, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getLogicalAnchor2D, getOutline, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType, setSheet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Background

    protected Background(EscherContainerRecord escherRecord,
                         Shape parent)

Method Detail

### createSpContainer

    protected EscherContainerRecord createSpContainer(boolean isChild)

  Description copied from class: `Shape`
  Creates the lowerlevel escher records for this shape.

  Specified by:
    `createSpContainer` in class `Shape`

### draw

    public void draw(java.awt.Graphics2D graphics)

  Overrides:
    `draw` in class `Shape`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.